path: /build/build/telepathy-accounts-signon-net-libs-2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-libs/telepathy-accounts-signon -pv -t && \
    emerge -j ${JOBS} --nodeps net-libs/telepathy-accounts-signon
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/telepathy-accounts-signon && luet-portage
    --dir /pkgdir/telepathy-accounts-signon net-libs/telepathy-accounts-signon &&
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:190a2688598cd2c409ba344de11da07e5f999f7e9efdf231b230eb9a54de2cd6
  package:
    name: telepathy-accounts-signon
    version: "2.1"
    category: net-libs
    requires:
    - name: libotr
      version: '>=0'
      category: net-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Mission control plugin for Telepathy to provide IM accounts and authentication
    uri:
    - https://gitlab.com/accounts-sso/telepathy-accounts-signon
    license: LGPL-2.1
    buildtimestamp: 2023-12-11 19:47:44.866643291 +0000 UTC m=+78.509455418
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
      DEPEND: dev-libs/glib:2 net-im/telepathy-mission-control net-libs/libaccounts-glib:=
        >=net-libs/libsignon-glib-2.0 net-libs/telepathy-glib
      RDEPEND: dev-libs/glib:2 net-im/telepathy-mission-control net-libs/libaccounts-glib:=
        >=net-libs/libsignon-glib-2.0 net-libs/telepathy-glib
      emerge.packages: net-libs/telepathy-accounts-signon
      kit: net-kit
      original.package.name: net-libs/telepathy-accounts-signon
      original.package.slot: "0"
      original.package.version: "2.1"
    treedir: /build/packages
  package_dir: /pkgdir/telepathy-accounts-signon
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4817110766011bd48263c01eee2c2b5196f74eb390bb016cceffbd16c6a45313
compressiontype: zstd
files:
- usr/lib64/mission-control-plugins.0/mcp-account-manager-accounts-sso.so
- usr/share/doc/telepathy-accounts-signon-2.1/README.md.bz2
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/BDEPEND
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/BUILD_TIME
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CATEGORY
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CBUILD
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CFLAGS
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CHOST
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CONTENTS
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/COUNTER
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/CXXFLAGS
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/DEFINED_PHASES
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/DEPEND
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/DESCRIPTION
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/EAPI
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/FEATURES
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/HOMEPAGE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/INHERITED
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/IUSE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/KEYWORDS
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/LDFLAGS
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/LICENSE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/NEEDED
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/PF
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/PROVIDES
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/RDEPEND
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/REQUIRES
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/SIZE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/SLOT
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/USE
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/environment.bz2
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/repository
- var/db/pkg/net-libs/telepathy-accounts-signon-2.1/telepathy-accounts-signon-2.1.ebuild
package_cacheimage: ""
runtime:
  name: telepathy-accounts-signon
  version: "2.1"
  category: net-libs
  requires:
  - name: telepathy-mission-control
    version: '>=0'
    category: net-im
  - name: libaccounts-glib
    version: '>=0'
    category: net-libs
  - name: libsignon-glib
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Mission control plugin for Telepathy to provide IM accounts and authentication
  uri:
  - https://gitlab.com/accounts-sso/telepathy-accounts-signon
  license: LGPL-2.1
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2'
    DEPEND: dev-libs/glib:2 net-im/telepathy-mission-control net-libs/libaccounts-glib:=
      >=net-libs/libsignon-glib-2.0 net-libs/telepathy-glib
    RDEPEND: dev-libs/glib:2 net-im/telepathy-mission-control net-libs/libaccounts-glib:=
      >=net-libs/libsignon-glib-2.0 net-libs/telepathy-glib
    emerge.packages: net-libs/telepathy-accounts-signon
    kit: net-kit
    original.package.name: net-libs/telepathy-accounts-signon
    original.package.slot: "0"
    original.package.version: "2.1"
